// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyAzLXgmxg1Aqqfgb1bFnuPFgRY-G4Xql-g',
    appId: '1:864434296528:web:69a5b305ee8c8213d8f0d5',
    messagingSenderId: '864434296528',
    projectId: 'fir-62a3b',
    authDomain: 'fir-62a3b.firebaseapp.com',
    storageBucket: 'fir-62a3b.appspot.com',
    measurementId: 'G-89LY5EZV8Q',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCYepUPNdNpR3QzduoxFMcXqf0dJGI2EJw',
    appId: '1:864434296528:android:9cb889cb8e98df3bd8f0d5',
    messagingSenderId: '864434296528',
    projectId: 'fir-62a3b',
    storageBucket: 'fir-62a3b.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBSf_6s-sx43vMYUypNOi2PSYKWGZ5Y1vw',
    appId: '1:864434296528:ios:5388488a8bc805f0d8f0d5',
    messagingSenderId: '864434296528',
    projectId: 'fir-62a3b',
    storageBucket: 'fir-62a3b.appspot.com',
    iosClientId: '864434296528-h7sbj627cis93vpu6n1ujlsq9mi85c68.apps.googleusercontent.com',
    iosBundleId: 'com.example.amazon',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBSf_6s-sx43vMYUypNOi2PSYKWGZ5Y1vw',
    appId: '1:864434296528:ios:5388488a8bc805f0d8f0d5',
    messagingSenderId: '864434296528',
    projectId: 'fir-62a3b',
    storageBucket: 'fir-62a3b.appspot.com',
    iosClientId: '864434296528-h7sbj627cis93vpu6n1ujlsq9mi85c68.apps.googleusercontent.com',
    iosBundleId: 'com.example.amazon',
  );
}
